
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: gcc41: make running post-build tests configurable

This patch allows turning off running the testsuite after the build,
which is useful during development when you don't want to wait for
the testsuite to complete every time you build the gcc package with
new options or tweaks.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -22,6 +22,7 @@
 %define build_java 0
 %define build_objc 0
 %endif
+%define run_tests 1
 %ifarch s390x
 %define multilib_32_arch s390
 %endif
@@ -722,6 +723,7 @@ CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$
 #GCJFLAGS="$OPT_FLAGS" make %{?_smp_mflags} BOOT_CFLAGS="$OPT_FLAGS" bootstrap
 GCJFLAGS="$OPT_FLAGS" make %{?_smp_mflags} BOOT_CFLAGS="$OPT_FLAGS" profiledbootstrap
 
+%if %{run_tests}
 # run the tests.
 make %{?_smp_mflags} -k check RUNTESTFLAGS="ALT_CC_UNDER_TEST=gcc ALT_CXX_UNDER_TEST=g++" || :
 cd gcc
@@ -745,6 +747,7 @@ done
 tar cf - testlogs-%{_target_platform}-%{version}-%{release} | bzip2 -9c \
   | uuencode testlogs-%{_target_platform}.tar.bz2 || :
 rm -rf testlogs-%{_target_platform}-%{version}-%{release}
+%endif
 
 # Make protoize
 make -C gcc CC="./xgcc -B ./ -O2" proto
